# Type Alias BaseAutocomplete

type BaseAutocomplete = {
class: string;
cssClass: string;
cssColor: string;
id: string;
label: string;
mainType: string;
name: string;
shortUri: string;
title: string;
type: string;
uri: string;
}

- Defined in jamespot-user-api/src/types/autocomplete.ts:6

##### Index

### Properties

class
cssClass
cssColor
id
label
mainType
name
shortUri
title
type
uri

## Properties

### class

class: string

- Defined in jamespot-user-api/src/types/autocomplete.ts:17

### cssClass

cssClass: string

- Defined in jamespot-user-api/src/types/autocomplete.ts:15

### cssColor

cssColor: string

- Defined in jamespot-user-api/src/types/autocomplete.ts:16

### id

id: string

- Defined in jamespot-user-api/src/types/autocomplete.ts:7

### label

label: string

- Defined in jamespot-user-api/src/types/autocomplete.ts:14

### mainType

mainType: string

- Defined in jamespot-user-api/src/types/autocomplete.ts:12

### name

name: string

- Defined in jamespot-user-api/src/types/autocomplete.ts:11

### shortUri

shortUri: string

- Defined in jamespot-user-api/src/types/autocomplete.ts:9

### title

title: string

- Defined in jamespot-user-api/src/types/autocomplete.ts:10

### type

type: string

- Defined in jamespot-user-api/src/types/autocomplete.ts:13

### uri

uri: string

- Defined in jamespot-user-api/src/types/autocomplete.ts:8